Home//Data Attributes
Data Attributes
Introduction
Changelog (v2.14)
Intercom API
Admins
AI Content
Articles
Away Status Reasons
Calls
Companies
Contacts
Conversations
Custom Object Instances
Data Events
Data Export
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Messages
News
Notes
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
Models
You can fetch a list of all data attributes belonging to a workspace for contacts, companies or conversations.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
- The production API serverhttps://api.intercom.io/data_attributes
- The european API serverhttps://api.eu.intercom.io/data_attributes
- The australian API serverhttps://api.au.intercom.io/data_attributes
curl -i -X GET \
'https://api.intercom.io/data_attributes?model=company&include_archived=false' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.14'Successful response
dataArray of objects(Data Attribute)
A list of data attributes
Response
{ "type": "list", "data": [ { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … } ] }